View Issue Details

IDProjectCategoryView StatusLast Update
0032960CommunityOCCT:Modeling Algorithmspublic2022-09-17 19:38
ReporterEugeneZ Assigned Toddzama  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformLinuxOSUbuntu 20.04 
Product Version7.6.0 
Target Version7.7.0 
Summary0032960: Wrong result of BRepExtrema_DistShapeShape after translation
DescriptionBefore translation of both solids on some same vector, the distance between these solids was calculated as 1mm. After translation algorithm calculates near 0.0 (1.20943e-14). And if we get points dist.PointOnShape1(i) and dist.PointOnShape2(i) it will provide completely wrong positions.

Original discussion on forum https://dev.opencascade.org/content/wrong-result-brepextremadistshapeshape-after-translation
Steps To Reproducetestgrid bugs fclasses bug32960
TagsNo tags attached.
Test case numberbugs/fclasses/bug32960

Attached Files

  • TwoSolids2.brep (246,233 bytes)

Activities

msv

2022-05-04 16:14

developer   ~0108317

@EugeneZ please attach the file.

EugeneZ

2022-05-04 16:31

reporter   ~0108318

The file.
TwoSolids2.brep (246,233 bytes)

EugeneZ

2022-05-04 16:32

reporter   ~0108319

But original file was attached to ticket.

msv

2022-05-04 16:37

developer   ~0108320

I confirm that we have a problem with DistShapeShape algorithm. If we remove location of shapes (with removeloc command) the distance is calculated correctly.

ddzama

2022-08-19 16:17

developer   ~0110327

Dear collegues. The error does not reproduces on current master branch of OCCT.

@EugeneZ, @kgv, @msv - FYI.

msv

2022-08-29 14:11

developer   ~0110410

Then please create a test case to close this bug.

msv

2022-08-29 14:17

developer   ~0110411

Also, it would be nice to know which fix corrected this bug, and make a relation link.

ddzama

2022-08-29 16:42

developer   ~0110420

@msv, ok, i will try to calculate correspond commit.

git

2022-08-31 11:11

administrator   ~0110469

Branch CR32960 has been created by ddzama.

SHA-1: 29b97ac8d538d3bd6e284f162e835709946f6b93


Detailed log of new commits:

Author: ddzama
Date: Mon Aug 29 17:27:16 2022 +0300

    0032960: Add corresponding test.

msv

2022-09-01 12:30

developer   ~0110513

+checkreal "Distance value check" $aDist $aDist_Exp $absTol $relTol
\ No newline at end of file

Please add new line.

msv

2022-09-01 12:33

developer   ~0110514

In test case, move bug title into "puts" statement along with bug number.

msv

2022-09-01 12:48

developer   ~0110515

And please run tests on jenkins.

git

2022-09-05 09:43

administrator   ~0110608

Branch CR32960 has been updated forcibly by ddzama.

SHA-1: 6bc85150f581461c9f3b6ae94cca21d0233bb6f8

git

2022-09-07 09:17

administrator   ~0110778

Branch CR32960 has been updated forcibly by ddzama.

SHA-1: 8abb0b25e4044135747036fbbb4968f30c2d9001

ddzama

2022-09-07 09:23

developer   ~0110779

@msv, please, clarify, what i should to do?
"In test case, move bug title into "puts" statement along with bug number"

msv

2022-09-07 11:28

developer   ~0110796

Just replace
+puts "========"
+puts "OCC32960"
+puts "========"
+puts ""
+##############################################
+# BRepExtrema_DistShapeShape returns wrong result
+# Correct distance is 1.0
+##############################################

with
+puts "========"
+puts "0032960: Wrong result of BRepExtrema_DistShapeShape after translation"
+puts "========"
+# Correct distance is 1.0

ddzama

2022-09-07 11:37

developer   ~0110800

Last edited: 2022-09-07 11:45

@msv - ok, thanks.
It's done.

git

2022-09-07 11:41

administrator   ~0110801

Branch CR32960 has been updated forcibly by ddzama.

SHA-1: 0a1f432971938a1863c87b2986d53281b8785cbb

git

2022-09-07 11:42

administrator   ~0110802

Branch CR32960 has been updated forcibly by ddzama.

SHA-1: 5028ecf1effb0d4d11f346271a52f24c373ed8e6

git

2022-09-13 10:57

administrator   ~0110994

Branch CR32960 has been updated forcibly by ddzama.

SHA-1: d6baf70a93a9adaa249cc7f7d2111a3bbb65e03a

smoskvin

2022-09-17 19:31

administrator   ~0111119

Combination -
OCCT branch : IR-2022-09-16
master SHA - changes and them, and you can discard any commits you make in this
a939fd40eb473e79134ba740ed8e3f8aa4df37a7
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-09-16 SHA - 63dd76a64eb2213a575fdcfd88c28e77af367df1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18769.440000000584 / 18960.430000000466 [-1.01%]
Products
Total CPU difference: 11959.870000000119 / 12078.45000000014 [-0.98%]
Windows-64-VC14:
OCCT
Total CPU difference: 20851.0625 / 20895.5625 [-0.21%]
Products
Total CPU difference: 14084.640625 / 13533.359375 [+4.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-09-17 19:38

administrator   ~0111123

Branch CR32960 has been deleted by mnt.

SHA-1: d6baf70a93a9adaa249cc7f7d2111a3bbb65e03a

Related Changesets

occt: master d6baf70a

2022-08-29 17:27:16

ddzama

Details Diff
0032960: Wrong result of BRepExtrema_DistShapeShape after translation.

Add corresponding test.
Affected Issues
0032960
add - tests/bugs/fclasses/bug32960 Diff File

Issue History

Date Modified Username Field Change
2022-05-04 15:55 EugeneZ New Issue
2022-05-04 15:55 EugeneZ Assigned To => msv
2022-05-04 16:14 msv Note Added: 0108317
2022-05-04 16:31 EugeneZ Note Added: 0108318
2022-05-04 16:31 EugeneZ File Added: TwoSolids2.brep
2022-05-04 16:32 EugeneZ Note Added: 0108319
2022-05-04 16:35 msv Assigned To msv => azv
2022-05-04 16:37 msv Note Added: 0108320
2022-05-04 16:39 msv Steps to Reproduce Updated
2022-05-04 16:41 msv Steps to Reproduce Updated
2022-05-04 16:42 msv Description Updated
2022-06-21 13:45 azv Assigned To azv => ddzama
2022-06-21 13:45 azv Status new => assigned
2022-06-28 06:40 azv Target Version => 7.7.0
2022-08-19 16:17 ddzama Note Added: 0110327
2022-08-19 16:18 ddzama Assigned To ddzama => kgv
2022-08-19 16:18 ddzama Status assigned => resolved
2022-08-19 16:36 kgv Assigned To kgv => EugeneZ
2022-08-19 16:36 kgv Status resolved => feedback
2022-08-29 14:11 msv Note Added: 0110410
2022-08-29 14:12 msv Assigned To EugeneZ => ddzama
2022-08-29 14:12 msv Status feedback => assigned
2022-08-29 14:17 msv Note Added: 0110411
2022-08-29 16:42 ddzama Note Added: 0110420
2022-08-31 11:11 git Note Added: 0110469
2022-08-31 11:12 ddzama Assigned To ddzama => msv
2022-08-31 11:12 ddzama Status assigned => resolved
2022-08-31 11:12 ddzama Steps to Reproduce Updated
2022-09-01 12:30 msv Note Added: 0110513
2022-09-01 12:33 msv Note Added: 0110514
2022-09-01 12:34 msv Assigned To msv => ddzama
2022-09-01 12:34 msv Status resolved => assigned
2022-09-01 12:48 msv Note Added: 0110515
2022-09-05 09:43 git Note Added: 0110608
2022-09-07 09:17 git Note Added: 0110778
2022-09-07 09:23 ddzama Note Added: 0110779
2022-09-07 11:28 msv Note Added: 0110796
2022-09-07 11:37 ddzama Note Added: 0110800
2022-09-07 11:41 git Note Added: 0110801
2022-09-07 11:42 git Note Added: 0110802
2022-09-07 11:45 ddzama Note Edited: 0110800
2022-09-13 10:57 ddzama Assigned To ddzama => bugmaster
2022-09-13 10:57 ddzama Status assigned => feedback
2022-09-13 10:57 git Note Added: 0110994
2022-09-13 11:26 ddzama Status feedback => reviewed
2022-09-17 19:31 smoskvin Status reviewed => tested
2022-09-17 19:31 smoskvin Note Added: 0111119
2022-09-17 19:32 smoskvin Test case number => bugs/fclasses/bug32960
2022-09-17 19:36 ddzama Changeset attached => occt master d6baf70a
2022-09-17 19:36 ddzama Assigned To bugmaster => ddzama
2022-09-17 19:36 ddzama Status tested => verified
2022-09-17 19:36 ddzama Resolution open => fixed
2022-09-17 19:38 git Note Added: 0111123